HttpDeflateStream::__construct
HttpDeflateStream::finish
HttpDeflateStream
PHP Manual

# HttpDeflateStream::factory

(PECL pecl_http >= 1.4.0)

HttpDeflateStream::factory — HttpDeflateStream class factory

### Description

static public HttpDeflateStream HttpDeflateStream::factory ([ int `$flags` = 0 [, string `$class_name` = "HttpDeflateStream" ]] )

Creates a new HttpDeflateStream object instance.

See the deflate stream constants table for possible `flags`.

### Parameters

`flags`

  initialization flags

`class_name`

  name of a subclass of HttpDeflateStream

### See Also

- HttpDeflateStream::__construct() - HttpDeflateStream class constructor

HttpDeflateStream::__construct
HttpDeflateStream::finish
HttpDeflateStream
PHP Manual